#
# spec file for package wf-config
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define so_ver 0.9
%define libname libwf-config1
Name:           wf-config
Version:        0.9.0
Release:        1.1
Summary:        A library for managing configuration files
License:        MIT
URL:            https://wayfire.org/
Source0:        https://github.com/WayfireWM/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/WayfireWM/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz.sha256sum
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(doctest)
BuildRequires:  pkgconfig(glm)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libevdev)
BuildRequires:  pkgconfig(wlroots) >= 0.17.0

%description
A library for managing configuration files, written for wayfire.

%package -n %{libname}
Summary:        A library for managing configuration files

%description -n %{libname}
A library for managing configuration files, written for wayfire.

%package devel
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}

%description devel
Development files for %{name}.

%prep
echo "`grep %{name}-%{version}.tar.xz %{SOURCE1} | grep -Eo '^[0-9a-f]+'`  %{SOURCE0}" | sha256sum -c
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
ln -s libwf-config.so.%{version} libwf-config.so.0

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%check
%meson_test

%files -n %{libname}
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/wayfire
%{_libdir}/libwf-config.so
%{_libdir}/pkgconfig/wf-config.pc

%changelog
* Wed Nov 13 2024 Shawn Dunn <sfalken@opensuse.org>
- Changed pkgconfig(wlroots) to >= 0.17.0 to clear buildfailure,
  due to ambiguous Provides in wlroots
* Mon Aug 26 2024 Dead Mozay <dead_mozay@opensuse.org>
- Added the %%check section.
* Mon Aug 26 2024 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.9.0:
  * add configurable animations.
  * activators: add extension type bindings.
  * make glm work.
  * log: use localtime_r instead of std::localtime.
  * duration: add function to enumerate all the available
    smoothing functions.
* Mon Oct  9 2023 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.8.0:
  * wf-config release, for use with Wayfire, WCM,
    wf-shell 0.8.x series.
* Fri Dec  2 2022 Dead Mozay <dead_mozay@opensuse.org>
- Update wlroots minimum version to spec.
* Wed Nov 30 2022 Dead Mozay <dead_mozay@opensuse.org>
- Set wlroots max version to spec.
* Sat Jun 19 2021 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.7.1
  * A backwards-compatible bugfix release.
* Wed Feb  3 2021 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.7.0:
  * This release of wf-config is for use in the 0.7.x series
    of Wayfire, wf-panel and WCM.
* Mon Nov  9 2020 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.6.0:
  * No changelog was made available.
* Wed Aug  5 2020 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.5.0:
  * Next release of wf-config,
    no notable changes except addition of soversion.
* Thu Jul  9 2020 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.4.1:
  * Fixes compilation with newer GCC versions
* Thu Apr 30 2020 Dead Mozay <dead_mozay@opensuse.org>
- Remove service
* Mon Mar 23 2020 dead_mozay@opensuse.org
- Update to version 0.4.0:
  * This release is a complete rewrite of the old wf-config
* Tue Mar 17 2020 dead_mozay@opensuse.org
- Update to version 0.3.git~20200223.fdcc040:
  * No user-visible changes
* Thu Oct  3 2019 dead_mozay@opensuse.org
- Update to version 0.1:
  * No user-visible changes
* Thu Oct  3 2019 Dead Mozay <dead_mozay@opensuse.org>
- Initial package
